﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
   
    font-family:Roboto-Regular, Arial, sans-serif;
}
    body::-webkit-scrollbar {
        width: 12px; /* width of the entire scrollbar */
    }
    body::-webkit-scrollbar-track {
        background: #333366; /* color of the tracking area */
    }

    body::-webkit-scrollbar-thumb {
        background-color: white; /* color of the scroll thumb */
        border-radius: 20px; /* roundness of the scroll thumb */
        border: 3px solid #333366; /* creates padding around scroll thumb */
    }
h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.spinner {
    border: 12px solid silver;
    border-top: 12px solid #333366;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 700ms linear infinite;
    position: absolute;    
    display: block;
    top: 360px;
    left: 162px;
    z-index: 105;
}

.spinnerText {
    position: absolute;
    display: block;
    top: 415px;
    left: 87px;
    z-index: 105;
    text-align:center;
    color:darkgray;
    width:200px;
    height: 30px;
    font-size:10pt;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

.pricebutton{
    background:#333366;
    border-radius: 5px;
    width: 60px;
    height: 30px;
    padding:4px;
    border-color:white;
    border-width: thin;
    color:white;
    text-align: right;
    cursor:pointer;
}

.container {
    background: url('../apple-iphone12pro-graphite-portrait.png') no-repeat top center fixed ;
    background-size:  500px 945px;
    display:flex;
    height: 950px;
    width: 550px;
    margin: 0;
    align-items:center;
    padding: 0;
    color: black;
    text-align: center;
    font-size: 12px;
}

.backgroundLayer {
    height: calc(100% + 0px);
    width: calc(100% + 0px);
    background-color: transparent;
    background-repeat: repeat;
    background-position-x: left;
    background-position-y: top;
    background-attachment: scroll;
    background-size: auto;
    background-image: -moz-linear-gradient(top,#6669C9,#000040);
    background-image: -webkit-linear-gradient(top,#6669C9,#000040);
    background-image: -webkit-gradient(linear,left top,left bottom,color-stop(0%,#6669C9), color-stop(100%,#000040));
    background-image: -o-linear-gradient(top,#6669C9,#000040);
    background-image: linear-gradient(to bottom,#6669C9,#000040);
    box-shadow: none;
}

@font-face {
    font-family: "Roboto-Regular";
    src: url("../fonts/Roboto-Regular.eot?#iefix") format("embedded-opentype"), url("../fonts/Roboto-Regular.ttf") format("truetype");
}

@font-face {
    font-family: "Roboto-Bold";
    src: url("../fonts/Roboto-Bold.eot?#iefix") format("embedded-opentype"), url("../fonts/Roboto-Bold.ttf") format("truetype");
}

@font-face {
    font-family: "Roboto-Light";
    src: url("../fonts/Roboto-Light.eot?#iefix") format("embedded-opentype"), url("../fonts/Roboto-Light.ttf") format("truetype");
}

@font-face {
    font-family: "Roboto-BoldItalic";
    src: url("../fonts/Roboto-BoldItalic.eot?#iefix") format("embedded-opentype"), url("../fonts/Roboto-BoldItalic.ttf") format("truetype");
}

@font-face {
    font-family: "Roboto-LightItalic";
    src: url("../fonts/Roboto-LightItalic.eot?#iefix") format("embedded-opentype"), url("../fonts/Roboto-LightItalic.ttf") format("truetype");
}

@font-face {
    font-family: "Roboto-Italic";
    src: url("../fonts/Roboto-Italic.eot?#iefix") format("embedded-opentype"), url("../fonts/Roboto-Italic.ttf") format("truetype");
}

@font-face {
    font-family: "DigitalNumbers-Regular";
    src: url("../fonts/DigitalNumbers-Regular.eot?#iefix") format("embedded-opentype"), url("../fonts/DigitalNumbers-Regular.ttf") format("truetype");
}

@font-face {
    font-family: "OpenSans-Bold";
    src: url("../fonts/OpenSans-Bold.eot?#iefix") format("embedded-opentype"), url("../fonts/OpenSans-Bold.ttf") format("truetype");
}

@font-face {
    font-family: "OpenSans-Regular";
    src: url("../fonts/OpenSans-Regular.eot?#iefix") format("embedded-opentype"), url("../fonts/OpenSans-Regular.ttf") format("truetype");
}

@font-face {
    font-family: "OpenSans-Light";
    src: url("../fonts/OpenSans-Light.eot?#iefix") format("embedded-opentype"), url("../fonts/OpenSans-Light.ttf") format("truetype");
}

/*
img {
    max-width: 50%;
    max-height: 100%;
}

.img .table {
    display: table;
    width: 100%;
    height: 100%;
}

.img .row {
    display: table-row;
}

.img .cell {
    display: table-cell;
}

.img .row.img-el,
.img .row.img-el .cell {
    height: 100%;
}

.img img {
    max-width: auto;
    height: 100%;
}

.cell img {
    width: 100%;
    height: auto;
}


/* Container holding the image and the text */
.containerold {
    position: relative;
    text-align: center;
    color: white;
}

/* Bottom left text */
.bottom-left {
    position: absolute;
    bottom: 8px;
    left: 16px;
}

/* Top left text */
.top-left {
    position: absolute;
    top: 8px;
    left: 16px;
}

/* Top right text */
.top-right {
    position: absolute;
    top: 8px;
    right: 16px;
}

/* Bottom right text */
.bottom-right {
    position: absolute;
    bottom: 8px;
    right: 16px;
}

/* Centered text */
.centered {
    position: absolute;
    top: 15%;
    left: 50%;
    transform: translate(-50%, -50%);
    color:black;
}


.toast {
    display: block;
    padding: 2px;
    color: #fff;
    z-index: 1105;
    position: absolute;
    width: 400px;
    height: 40px;
    top: 50px;;
    border-radius: 5px;
    left: 200px;
}

    .toast-icon {
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding: 6px;
        font-size: 16pt;
    }

    .toast-body {
        display: flex;
        flex-direction: column;
        flex: 1;
        padding-left: 1 rem;
    }

        .toast-body p {
            margin-bottom: 0;
        }

    .toast-visible {
        display: flex;
        flex-direction: row;
        animation: fadein 1.5s;
    }

@keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.bg-info {
    background: #73c0f0;
    color: white;
    font-size: 10pt;
}
.bg-warning {
    background: #e79a26;
    color:white;
    font-size: 10pt;
}
.bg-success {
    background: #0ea527;
    color: white;
    font-size: 10pt;
}
.bg-danger{
    background:#c55353;
    color:white;
    font-size:10pt;
}